import React from "react";
import { ComponentStory, ComponentMeta } from '@storybook/react';
import {TextInput} from "../components/TextInput";

export default {
    title: 'Text Input',
    component: TextInput,
} as ComponentMeta<typeof TextInput>;

const Template: ComponentStory<typeof TextInput> = (args) => <TextInput {...args} />

export const TextInputStory = Template.bind({});

TextInputStory.args ={
    inGroup: true,
    placeholder: "Search",
    className: ["px-4", "py-2.5"]
};
